package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class ConsumerSalesHistory {

    @SerializedName("VisitDate")
    @Expose
    private String visitDate;
    @SerializedName("ConsumerName")
    @Expose
    private String consumerName;
    @SerializedName("ProductId")
    @Expose
    private Integer productId;
    @SerializedName("ProductName")
    @Expose
    private String productName;
    @SerializedName("Mrp")
    @Expose
    private Integer mrp;
    @SerializedName("QtySold")
    @Expose
    private Integer qtySold;
    @SerializedName("TotalAmount")
    @Expose
    private Double totalAmount;

    @SerializedName("AgeGroup")
    @Expose
    private String ageGroup;
    @SerializedName("SkinType")
    @Expose
    private String skinType;
    @SerializedName("Gender")
    @Expose
    private String gender;
    @SerializedName("EanCode")
    @Expose
    private String eanCode;


    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }

    public String getConsumerName() {
        return consumerName;
    }

    public void setConsumerName(String consumerName) {
        this.consumerName = consumerName;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getMrp() {
        return mrp;
    }

    public void setMrp(Integer mrp) {
        this.mrp = mrp;
    }

    public Integer getQtySold() {
        return qtySold;
    }

    public void setQtySold(Integer qtySold) {
        this.qtySold = qtySold;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public boolean isChecked_flag() {
        return checked_flag;
    }

    public void setChecked_flag(boolean checked_flag) {
        this.checked_flag = checked_flag;
    }

    boolean checked_flag=false;

    public String getSelected_reason_Id() {
        return selected_reason_Id;
    }

    public void setSelected_reason_Id(String selected_reason_Id) {
        this.selected_reason_Id = selected_reason_Id;
    }

    String selected_reason_Id="0";

    public String getSelected_reason() {
        return selected_reason;
    }

    public void setSelected_reason(String selected_reason) {
        this.selected_reason = selected_reason;
    }

    String selected_reason="";
    public int getSelected_product_qty() {
        return selected_product_qty;
    }

    public void setSelected_product_qty(int selected_product_qty) {
        this.selected_product_qty = selected_product_qty;
    }

    int selected_product_qty=0;
    public String getAgeGroup() {
        return ageGroup;
    }

    public void setAgeGroup(String ageGroup) {
        this.ageGroup = ageGroup;
    }

    public String getSkinType() {
        return skinType;
    }

    public void setSkinType(String skinType) {
        this.skinType = skinType;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getEanCode() {
        return eanCode;
    }

    public void setEanCode(String eanCode) {
        this.eanCode = eanCode;
    }
}

